package com.engine.organization.mapper.hrmresource;


import com.engine.organization.entity.TreeData;
import com.engine.organization.entity.hrmresource.po.ResourceItemPO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/8/24
 * @Version V1.0
 **/
public interface ResourceBasicInfoMapper {

    ArrayList<TreeData> getTreeData();

    @MapKey("id")
    List<Map<String, Object>> browserDatas(@Param("ids") Collection<Long> ids);


    ResourceItemPO getResourceItemByFid(@Param("fid")Integer fid);

    List<ResourceItemPO> selectItemByIds(@Param("ids")Collection<Long> ids);

    int deleteByIds(@Param("ids")Collection<Long> ids);

    int recoverByIds(@Param("ids")Collection<Long> ids);

    List<ResourceItemPO> selectItemByFNo(@Param("fno")String fno);

    int insertIgnoreNull(ResourceItemPO resourceItemPO);
}
